ildd(1)

NAME
ildd - print Intermediate Language (IL) program dependencies

SYNOPSIS
ildd [ options ] input ...

DESCRIPTION
Ildd lists the assemblies and modules that are referenced by an IL object file (.obj), an IL executable (.exe), or an IL dynamic link library (.dll).

OPTIONS

-f, --file-names
    Print the name of each file that is processed, even if there is only one file specified.

-p, --pinvoke
    Print detailed information about PInvoke declarations.

-r, --recursive
    Recursively print transitive dependencies.

--help
    Print a usage message for the ildd program.

-v, --version
    Print the version of the ildd program.

--  Marks the end of the command-line options, and the beginning of the input filenames. You may need to use this if your filename begins with '-'. e.g. "ildd -- -input.exe". This is not needed if the input is stdin: "ildd -" is perfectly valid.

AUTHOR
Written by Southern Storm Software, Pty Ltd. http://www.southern-storm.com.au/

SEE ALSO
ilsize(1), ilfind(1), ilasm(1), cscc(1)

DIAGNOSTICS
Exit status is 1 if an error occurred while processing the input. Otherwise the exit status is 0. See the manual page for ilsize(1) for a complete list of errors that may occur when loading an IL image file.